%define majver %(echo %gnomever | cut -d. -f 1-2)
%define with_fam    1

Name:          gnome-vfs
Version:       2.24.4
Release:       6mamba
Summary:       The GNOME virtual file-system libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        https://download.gnome.org/sources/gnome-vfs/%{majver}/gnome-vfs-%{version}.tar.bz2
Patch0:        libgnome-vfs-2.24.4-glib-2.48.patch
Patch1:        libgnome-vfs-2.24.4-gcc-6.1.0.patch
Patch2:        libgnome-vfs-2.24.4-openssl-1.1.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGConf-devel
BuildRequires: libORBit2-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libbzip2-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libe2fs-devel
BuildRequires: libgamin-devel
BuildRequires: libglib-devel
BuildRequires: libkrb5-devel
BuildRequires: libopenssl-devel
BuildRequires: libselinux-devel
BuildRequires: libsystemd-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libgnutls-devel
BuildRequires: pkgconfig
BuildRequires: cdparanoia-III-devel
BuildRequires: gettext-devel
BuildRequires: perl-XML-Parser
BuildRequires: libneon-devel
BuildRequires: intltool
BuildRequires: gnome-mime-data
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libbonobo
Requires:      gconf
Requires:      gnome-mime-data

# FIXME:

#        Howl support:                no
#        Enable profiler:             no

#
# NOTE:
# Gnome-vfs depends on FAM to provide notification when files are altered 
# (either through filesystem polling, or a kernel notification mechanism). 
# Particularly if you are a distributor please compile Nautilus with FAM support.

%description
The gnome-vfs package contains virtual file system libraries.
This is used as one of the foundations of the Nautilus file manager.

%package -n lib%{name}
Summary:       Libraries provided with %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
The gnome-vfs package contains virtual file system libraries.
This is used as one of the foundations of the Nautilus file manager.
This package contains the shared libraries provide with %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
The gnome-vfs package contains virtual file system libraries.
This is used as one of the foundations of the Nautilus file manager.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
%configure \
   --libexecdir=%{_sbindir} \
%if %with_fam
   --enable-fam \
%else
   --disable-fam \
%endif
   --disable-cdda \
   --enable-avahi \
   --enable-ipv6 \
   --disable-hal

##   --enable-gtk-doc \
##   --enable-gnutls 
##   --enable-howl 
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%{find_lang} %{name}-2.0

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/gnome-vfs-daemon
%{_sysconfdir}/gconf/schemas/*
%dir %{_sysconfdir}/gnome-vfs-?.*
%{_sysconfdir}/gnome-vfs-?.*/*
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service
%doc AUTHORS COPYING*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgnomevfs-?.so.*
%dir %{_libdir}/gnome-vfs-?.*
%{_libdir}/gnome-vfs-?.*/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gnome-vfs-?.*
%{_includedir}/gnome-vfs-?.*/*
%dir %{_includedir}/gnome-vfs-module-?.*
%{_includedir}/gnome-vfs-module-?.*/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%doc ChangeLog HACKING TODO
%doc NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gnome-vfs-?.*
%{_datadir}/gtk-doc/html/gnome-vfs-?.*/*

%changelog
* Thu Jan 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-6mamba
- added a biarch common gnome-vfs package; source renamed from libgnome-vfs

* Mon Apr 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-5mamba
- rebuilt with debug package; added patch to build against openssl >= 1.1

* Tue Jun 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-4mamba
- rebuilt with libffi 3.2.1

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-3mamba
- rebuilt without hal

* Sat May 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-2mamba
- don't set sysconfdir as %{_sysconfdir}/gnome, use default for gconf

* Wed Oct 06 2010 Automatic Build System <autodist@mambasoft.it> 2.24.4-1mamba
- automatic update to 2.24.4 by autodist

* Thu Jul 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.3-2mamba
- rebuilt to add pkgconfig provides

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 2.24.3-1mamba
- automatic update to 2.24.3 by autodist

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 2.24.1-2mamba
- automatic rebuild by autodist

* Thu Jul 16 2009 Automatic Build System <autodist@mambasoft.it> 2.24.1-1mamba
- automatic update by autodist

* Mon Mar 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.0-2mamba
- rebuilt

* Fri Oct 03 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Wed Dec 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-1mamba
- update to 2.20.1

* Sat Apr 28 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.18.0.1-1mamba
- update to version 2.18.0.1

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.3-2qilnx
- new subpackage apidocs with API documentation
- dropped patch against CAN-2005-0706 (merged upstream)

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.3-1qilnx
- update to version 2.16.3 by autospec
- added missing build requirements for dbus-glib, selinux, and libneon

* Tue Aug 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.90-1qilnx
- update to version 2.11.90 by autospec

* Tue Aug 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1qilnx
- update to version 2.10.1 by autospec

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.4-2qilnx
- security fix QSA-2005-073 (CAN-2005-0706)

* Thu Apr 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.4-1qilnx
- update to version 2.8.4 by autospec
- added missing build requirements

* Fri Dec 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.3-2qilnx
- rebuild with new libe2fs-devel, libkrb5-devel packages

* Fri Dec 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.3-1qilnx
- update to version 2.8.3 by autospec

* Thu Jul 22 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.6.1.1-1qilnx
- new version build

* Thu Jul 24 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.3.5-1qilnx
- first build for libgnome-vfs
